POST
Create a Link account
Creates a new account for the given enterprise at the specified venue.
Path Params
-
enterpriseIdstring requiredYour enterprise id.
Header Params
-
user-idstring requiredUser id of the user making the request.
Body Params
object
New Link Account details
-
venueIdstring requiredThe venue for which the account is being created. This should be a valid venue identifier returned by the GET /venues endpoint. -
credentialsarray of objects requiredcredentials object
-
accessLevelsarray of string enums requiredread_write -
wrappedKeystring required -
ivstring required -
tagstring required -
masterKeyVersionnumber required -
credentialsstring required -
expirationDatestring date-time
-
-
namestring requiredA unique name for the account. This is used to identify the account in BitGo and must be unique within your enterprise. -
descriptionstring requiredAn optional description for the account. This can be any string and is not required to be unique. -
whitelistingEnabledbooleanOptional flag to indicate if whitelisting is enabled on the venue. This means withdrawals can only happen to previously whitelisted addresses. -
parentAccountstringAn optional parent account id to link this account to. This is used for sub-accounts under a main account. The parent account must already exist in BitGo.
Responses
201
Created
Response Body
object
-
idstring required -
venueIdstring required -
credentialsarray of objects requiredcredentials object
-
idstring required -
accessLevelsarray of string enums requiredreadwriteread_write -
expirationDatestring
-
-
statusstring enum requiredactiveinactivedeletedpending_credentials -
namestring required -
descriptionstring required -
whitelistingEnabledboolean required -
parentAccountstring -
usersarray of objectsusers object
-
permissionsarray of string enums requiredlink.account.adminlink.account.transferlink.account.view -
userIdstring required
-
-
createdDatestring date-time required -
modifiedDatestring date-time required
400
Bad Request
No response body
401
Unauthorized
Response Body
object
-
errorNamestring required -
errorstring required
403
Forbidden
Response Body
object
-
errorNamestring required -
errorstring required
409
Conflict
Response Body
object
-
errorNamestring required -
errorstring required
500
Internal Server Error
Response Body
object
-
errorNamestring required -
errorstring required